View Issue Details

IDProjectCategoryView StatusLast Update
0026381mantisbtattachmentspublic2019-12-13 18:06
ReporterFredericdeBordeaux Assigned Todregad  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionno change required 
Summary0026381: How to open an attached document in popup
Description

About the question 0024469 ,
the response 0024469:0059892 is : "You can open in a new tab or a new window by using standard browser functionality."
" use context menu (right click) and choose one of the options"
" hold ctrl/cmd key when clicking the link"

But,
I believe the correct response is in the file : config_defaults_inc.php (line 1970+/-) :

 /**
 * Convert URLs and e-mail addresses to html links.
 * This flag controls whether www URLs and email addresses are automatically
 * converted to clickable links as well as where the www links open when
 * clicked. Valid options are:
 * - OFF                Do not convert URLs or emails
 * - LINKS_SAME_WINDOW  Convert to links that open in the current window (DEFAULT)
 * - LINKS_NEW_WINDOW   Convert to links that open in a new window
 * @global integer $g_html_make_links
 */
$g_html_make_links = LINKS_SAME_WINDOW;

Thanks to correct the bug 0024469

TagsNo tags attached.

Relationships

related to 0024469 closedatrol How to open an attached document in popup 

Activities

FredericdeBordeaux

FredericdeBordeaux

2019-11-23 06:26

reporter   ~0063126

Last edited: 2019-11-23 06:29

View 8 revisions

Thanks to correct the bug 0024469:0059892

dregad

dregad

2019-11-23 13:57

developer   ~0063128

You are correct, this config option indeed gives the admin control over how Mantis generates links.

That being said, the answer given in 0024469:0059892 is not wrong, so I don't see the need to correct anything, but I have added a note to complete the information given.

FredericdeBordeaux

FredericdeBordeaux

2019-11-30 08:12

reporter   ~0063160

Hello,
Of course , this answer 0024469:0059892 is correct
it seems to me that this is the correct answer .

So, with this parameter, we have the problem about uploaded pictures ;
by default , pictures are opened in the current window.

Bonne journée,
Frédéric

Issue History

Date Modified Username Field Change
2019-11-23 06:26 FredericdeBordeaux New Issue
2019-11-23 06:26 FredericdeBordeaux Note Added: 0063126
2019-11-23 06:27 FredericdeBordeaux Note Edited: 0063126 View Revisions
2019-11-23 06:27 FredericdeBordeaux Note Edited: 0063126 View Revisions
2019-11-23 06:28 FredericdeBordeaux Note Edited: 0063126 View Revisions
2019-11-23 06:28 FredericdeBordeaux Note Edited: 0063126 View Revisions
2019-11-23 06:29 FredericdeBordeaux Note Edited: 0063126 View Revisions
2019-11-23 06:29 FredericdeBordeaux Note Edited: 0063126 View Revisions
2019-11-23 06:29 FredericdeBordeaux Note Edited: 0063126 View Revisions
2019-11-23 13:52 dregad Description Updated View Revisions
2019-11-23 13:53 dregad Relationship added related to 0024469
2019-11-23 13:57 dregad Assigned To => dregad
2019-11-23 13:57 dregad Status new => resolved
2019-11-23 13:57 dregad Resolution open => no change required
2019-11-23 13:57 dregad Note Added: 0063128
2019-11-30 08:12 FredericdeBordeaux Note Added: 0063160
2019-12-13 18:06 atrol Status resolved => closed